> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Message Read Receipts >
Premium tag
Get the read receipts of messages. ### Changelog | Version | Description | | ---------------- | ------------| | 0.63.0 | Added | ## OpenAPI ````json GET /api/v1/chat.getMessageReadReceipts { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.getMessageReadReceipts": { "get": { "tags": [ "Chat" ], "summary": "Get Message Read Receipts", "description": "
\"Premium
\n\nGet the read receipts of messages.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n| 0.63.0 | Added |", "operationId": "get-api-v1-chat.getMessageReadReceipts", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "name": "messageId", "in": "query", "description": "The message id", "required": "true", "schema": { "type": "string" }, "example": "ByehQjC44FwMeiLbX" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "receipts": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "roomId": { "type": "string" }, "userId": { "type": "string" }, "messageId": { "type": "string" }, "ts": { "type": "string" }, "user": { "type": "object", "properties": { "username": { "type": "string" }, "name": { "type": "string" }, "_id": { "type": "string" } } } } } }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "receipts": [ { "_id": "HksCYdTpCiM9DZ7Sa", "roomId": "GENERAL", "userId": "nvw6PBrXTejp4sfQt", "messageId": "WyDsZzjk2wHogtWK2", "ts": "2018-02-26T20:34:03.907Z", "user": { "username": "rocket.cat", "name": "Rocket cat", "_id": "nvw6PBrXTejp4sfQt" } } ], "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "error": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "error": "The required 'messageId' param is missing.", "success": "false" } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": "false", "schema": { "type": "integer" }, "example": "50" }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": "false", "schema": { "type": "integer" }, "example": "50" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````